<script setup lang="ts">
import { ref, defineProps } from "vue";

const props = defineProps({
    data: {
        type: Object
    },
})

</script>

<template>
    <div>
        <div>
            <!-- {{ props.data }} -->
            <div class="uk-margin flex items-center gap-12">

                <label for="Write label" class="w-4/12">
                    Write label
                    <input
                        class="mt-1 block rounded-md border border-slate-300 bg-white px-3 py-2 text-sm text-gray-600 shadow-sm duration-150 placeholder:text-slate-400 focus:border-primary focus:outline-none focus:ring-1 dark:border-gray-600 dark:bg-darkLayoutStorm dark:text-gray-300 w-full"
                        id="Write label" type="text" placeholder="Write label" readonly v-model="props.data.label.ru"
                        @click="$emit('getVal', props.data.label)">
                </label>
            </div>

            <div class="uk-margin">

                <label for="Write place tooltip">
                    Write place tooltip
                    <input
                        class="mt-1 block rounded-md border border-slate-300 bg-white px-3 py-2 text-sm text-gray-600 shadow-sm duration-150 placeholder:text-slate-400 focus:border-primary focus:outline-none focus:ring-1 dark:border-gray-600 dark:bg-darkLayoutStorm dark:text-gray-300 w-4/12"
                        id="Write place tooltip" type="text" readonly placeholder="Write place tooltip"
                        v-model="props.data.tooltip.ru" @click="$emit('getVal', props.data.tooltip)">
                </label>
            </div>

            <div class="uk-margin">

                <label for="Write place slug">
                    Write place slug
                    <input
                        class="mt-1 block rounded-md border border-slate-300 bg-white px-3 py-2 text-sm text-gray-600 shadow-sm duration-150 placeholder:text-slate-400 focus:border-primary focus:outline-none focus:ring-1 dark:border-gray-600 dark:bg-darkLayoutStorm dark:text-gray-300 w-4/12"
                        id="Write place slug" type="text" placeholder="Write place slug" v-model="props.data.slug">
                </label>
            </div>




        </div>

        <hr class="mt-16 mb-5">

        <div class="flex items-center justify-end !mb-6">
            <span class="mr-3 border-after">Mandatory question</span>
            <label className="relative inline-flex items-center cursor-pointer">
                <input type="checkbox" class="sr-only peer" v-model="props.data.required" />
                <div
                    className="w-11 h-6 bg-gray-200 peer-focus:outline-none 
                                                            rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-primary">
                </div>
            </label>
        </div>
    </div>
</template>